Bug Hunting Session
Bug 95707 - Image in RTF file not displayed by Writer
Summary: Image in RTF file not displayed by Writer
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.2.0 target:5.1.4
Keywords:
Depends on:
Blocks: RTF-Images
  Show dependency treegraph
 
Reported: 2015-11-09 14:47 UTC by Dženan Zukić
Modified: 2017-10-22 22:27 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
The problematic RTF file (20.45 KB, application/msword)
2015-11-09 14:47 UTC, Dženan Zukić
Details
Correct rendering by MSWord (105.56 KB, application/pdf)
2015-11-09 14:47 UTC, Dženan Zukić
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dženan Zukić 2015-11-09 14:47:09 UTC
Created attachment 120417 [details]
The problematic RTF file

The image in the attached RTF file is not displayed by Writer.
Comment 1 Dženan Zukić 2015-11-09 14:47:36 UTC
Created attachment 120418 [details]
Correct rendering by MSWord
Comment 2 raal 2015-11-09 20:20:55 UTC
Reproducible with Version: 5.1.0.0.alpha1+
Build ID: c5fefe46fc9dca3942b2fc33ffd1f7e041d450e6
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-11-04_07:04:49
Comment 3 Miklos Vajna 2016-04-29 16:06:52 UTC
\dibitmap is ignored on import, that's why the image is missing.
Comment 4 Commit Notification 2016-05-03 08:26:56 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6bacfc8d95163a3eacc2784660282a8ce7d9a552

tdf#95707 RTF import: handle device-independent bitmaps

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-05-05 14:37:06 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c521fcae80f5a7a5d56105e316b2e3d9130001d9&h=libreoffice-5-1

tdf#95707 RTF import: handle device-independent bitmaps

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.